Summary: 	Utility for creating network bootable images
Name: 		mknbi
Version:	1.4.0
Release: 	0.fdr.3.1
Epoch: 		0
License: 	GPL
Group: 		Applications/System
URL: 		http://etherboot.sourceforge.net/
Source0: 	http://dl.sf.net/etherboot/%{name}-%{version}.tar.gz
Patch1:		mknbi-makefile-optflags.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl
%ifarch %{ix86}
BuildRequires:	nasm
%endif

%description
Utility that accompanies Etherboot for making tagged images from ROM
images, Linux kernels, FreeDOS and DOS bootable floppy images.

%prep
%setup -q
%patch1 -p0
mv Makefile Makefile.old
sed "s:/usr/local:%{_prefix}:g" Makefile.old > Makefile

%build
make realclean
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1
rm -Rf $RPM_BUILD_ROOT/%{_prefix}/doc/mknbi*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING LOG README spec.txt *.html
%{_bindir}/disdosbb
%{_bindir}/dismbr
%{_bindir}/disnbi
%{_bindir}/mkelf-linux
%{_bindir}/mkelf-menu
%{_bindir}/mknbi-*
%{_libdir}/%{name}
%{_mandir}/man1/disnbi.1*
%{_mandir}/man1/mknbi.1*

%changelog
* Thu May 22 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.3
- Added *.html in doc entry
- slight change in build section

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.2
- Changed URL in Source0 again
- Patch for makefile to accept optflags
- Moved Makefile/sed stuff into prep stage instead of build

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.1
- nasm BuildRequires now arch dependent
- Changed URL in Source0 
- buildroot -> RPM_BUILD_ROOT
- Modifed doc files

* Mon May 19 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.1
- Updated to 1.4.0
- Replaced /usr with %{_prefix} in sed

* Sat Apr 26 2003 Dams <anvil[AT]livna.org> 
- Initial build.
